# Change Log
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/) 
and this project adheres to [Semantic Versioning](http://semver.org/).

## [Unreleased]
### Added
- The Command.abort() method, was about to be deprecated in the next release.
However, it will still be there in the next release(s), but for a different purpose.
You can now use it as a standard way to reject your command's promise in just one
line of code. 
  
### Changed
Because of the bugfix of issue #20 you should adapt your configurations accordingly.
See the documentation on how to do it or see the first comment on [issue #20](https://github.com/ruckola/macro-command/issues/20).
 
### Fixed
- Fixes issue #20 - The namespace bug in Command.findPrevResult().
- Fixes issue #21 - A minor issue with the kickstarter documentation.

## [1.0.10] - 2017-02-20
### Changed
- The code examples in README.md did not have the right language tags. Changed 'Javascript' to 'js'.  : (   

## [1.0.9] - 2017-02-20
### Added
- CHANGELOG.md from @ruckola

### Changed
- The constructor of the Command class now sets 'this.result.cmd' to 'this.constructor.name' automatically for each command.
This solves issue #19
- The README.md has been updated with some code examples and a link to a tutorial on my blog that explains them in great detail.

### Fixed
- removed the documentation directory. It was released accidentally with version 1.0.8.